【基本解决】Firefox已阻止xxx运行早期版本的Adobe Flash仍然屏蔽B允许A

【背景】

用Firefox打开网页,出现提示:

firefox already prevent running old version adobe flash

点击允许后,会弹出

in future long time allow adobe flash in firefox

点击长期允许。

这样对于当前这个网站,之后再次打开,才不会提示。

但是有个问题:

对于其他很多网站来说,每次第一次打开,都会弹出这个提示,很是烦人。

所以想要去解决掉此烦人的提示。

【解决过程】

1.去点击“现在更新”

然后进入了Adobe的官网:

http://get.adobe.com/flashplayer/

然后去根据提示,下载最新的Adobe flash Player:

get adobe flash official site 1 of 3 step

adobe flash is initializing for later install

但是结果却下载下来的不是本地,完整,安装版,而是只有1M多的在线下载的安装程序:

install_flashplayer16x32_mssd_aaa_aih.exe

save as 1MB install_flashplayer16x32_mssd_aaa_aih exe

双击运行后,会内部去连接Adobe网站,然后再去下载:

adobe flash install file is downloading

下载完毕,才会去继续安装。

但是此处此在一个大问题:

虽然我是100M的电线光纤,但是连接国外的Adobe的服务器速度极其慢。。。

所以搞了很多次,都要么连不上,要么连上了半天都下载不下来。

郁闷死了。

2.后来实在不行,就去网上搜最新版本的Adobe Flash Player for Firefox。

然后期间从部分网站下载了,目前最新的:

Adobe Flash Player for Firefox v16.0.0.296

结果都是坑爹的,因为实际上下载到的却是(之前就已经安装的)旧版本:v16.0.0.287

download flash version is v16.0.0.287 not latest

3.后来再去这里下载:

Adobe Flash Player v16.0.0.296 正式版发布 官方紧急修正版-绿色下载吧

->

网页播放器|Adobe Flash Player 16.0.0.296 for Firefox(网页播放器火狐flash插件下载)官方下载-绿色下载吧

然后就可以正常安装了:

install offline version 16 adobe flash

adobe flash player 16.0 install program done

如此,应该可以正常使用Firefox打开带flash的即使是新的网页而不需要每次都提示了。

【总结】

如果用Firefox打开网页出现那个Adobe Flash Player的提示的话,那么:

如果你本地连接Adobe官网的速度好,那么就可以通过点击“现在更新”->按照提示,从官网下载Adobe Flash Player->正常根据提示去安装即可,期间程序会自动下载并安装最新版本Flash Player。

否则就像我这样:

网上去下载最新版本的(不是那种需要在线下载再安装的,而是本地的完整版的)Adobe Flash Player for Firefox,然后正常直接安装即可。

注:怎么知道哪个是最新版本的:

百度搜:

adobe flash player for firefox 最新版

然后多找找,就可以知道哪个版本是最新的了。


【后记】

1.妹的,结果发现根本没有解决问题:

打开其他新的网站后,还是会出现该提示。。。

不过好像对于多数(感觉也是新打开的网站)又不会出现提示了。。。

不知道到底是解决了还是没解决。。。

2.然后后来的确发现还是存在同样问题:

still existing firefox block adoble flash problem

3.所以现在是实在不行了,那就去先试试:

发现火狐对flash player做的奇葩事 第3页_Firefox_浏览器讨论区 卡饭论坛 – 互助分享 – 大气谦和!

“ 我在软件卸载里面把原版的flash卸载,重装了一个新的flash 好了,没有再提示”

如果还是不行,就再试试:

发现火狐对flash player做的奇葩事_Firefox_浏览器讨论区 卡饭论坛 – 互助分享 – 大气谦和!

“试试把extensions.blocklist.enabled改为false

责任自负”

先试试卸载旧的:

uninstall adobe flash player

然后有待后续验证是否真的解决问题了。

然后再去重新安装:

16.0.0.296版本的install_flash_player_16_plugin.exe

然后重新打开Firefox,看看是否解决问题。

结果还是有些网址会出现该提示。。。

然后去查查是否是最新的:

firefox tool addons

about addons check your plugin is latest or not

adobe flash player shockwave flash 16.0.r0 leaking need update

妹的,明显是:

之前装的16.0.0.296

也不是最新的版本。。。

需要再去更新:

但是肯定又会遇到:

从Adobe官网下载后,结果还是需要程序内部下载并安装,结果还是速度太慢而无法顺利安装。。。

 

不过看到了:

flash update page show 16.0.0.305 version is latest

最新版本是:

版本 16.0.0.305

所以去搜:

adobe flash player for firefox 16.0.0.305

结果百度搜找不到。。

 

算了,还是去试试那个终极办法"试试把extensions.blocklist.enabled改为false"

在地址栏中输入:

about:config

firefox about config makesure you care deal with config

extensions.blocklist.enabled for firefox default is true

双击,变成false:

 

extensions.blocklist.enabled for firefox double click to false

然后估计就可以实现了:

即使是不是最新版的Adobe flash Player,也不会被加入到 blocklist,从而不会有那个恼人的提示了。

缺点是:

其他如果还有什么在blocklist中的,也都会被放行了。。。

然后试了很多个网站,貌似真的不会再出现那个烦人的提示了。。。

 

【总结】

想要彻底解决问题,那就可以冒着一定安全风险,去:

在Firefox地址栏中输入:

about:config

->“保证我会小心”

->extensions.blocklist.enabled双击那个true,变成false即可。

提醒:此办法有风险,请慎重。



发表评论

电子邮件地址不会被公开。 必填项已用*标注

无觅相关文章插件,快速提升流量